package ovh.glitchlabs.ornamentum.datagen;

import net.minecraft.data.PackOutput;
import net.neoforged.neoforge.common.data.LanguageProvider;
import ovh.glitchlabs.ornamentum.Ornamentum;
import ovh.glitchlabs.ornamentum.blocks.ModBlocks;
import ovh.glitchlabs.ornamentum.items.ModCreativeModeTabs;
import ovh.glitchlabs.ornamentum.items.ModItems;

public class ModLanguageProvider extends LanguageProvider {

    public ModLanguageProvider(PackOutput output) {
        super(output, Ornamentum.MODID, "en_us");
    }

    @Override
    protected void addTranslations() {
        // Blocks
        add(ModBlocks.WHITE_FLAG.get(), "White Flag");
        add(ModBlocks.ORANGE_FLAG.get(), "Orange Flag");
        add(ModBlocks.MAGENTA_FLAG.get(), "Magenta Flag");
        add(ModBlocks.LIGHT_BLUE_FLAG.get(), "Light Blue Flag");
        add(ModBlocks.YELLOW_FLAG.get(), "Yellow Flag");
        add(ModBlocks.LIME_FLAG.get(), "Lime Flag");
        add(ModBlocks.PINK_FLAG.get(), "Pink Flag");
        add(ModBlocks.GRAY_FLAG.get(), "Gray Flag");
        add(ModBlocks.LIGHT_GRAY_FLAG.get(), "Light Gray Flag");
        add(ModBlocks.CYAN_FLAG.get(), "Cyan Flag");
        add(ModBlocks.PURPLE_FLAG.get(), "Purple Flag");
        add(ModBlocks.BLUE_FLAG.get(), "Blue Flag");
        add(ModBlocks.BROWN_FLAG.get(), "Brown Flag");
        add(ModBlocks.GREEN_FLAG.get(), "Green Flag");
        add(ModBlocks.RED_FLAG.get(), "Red Flag");
        add(ModBlocks.BLACK_FLAG.get(), "Black Flag");

        add(ModBlocks.AUSTRIA_FLAG.get(), "Austria Flag");
        add(ModBlocks.BOUVET_ISLAND_FLAG.get(), "Bouvet Island Flag");
        add(ModBlocks.CANADA_FLAG.get(), "Canada Flag");
        add(ModBlocks.CHINA_FLAG.get(), "China Flag");
        add(ModBlocks.DENMARK_FLAG.get(), "Denmark Flag");
        add(ModBlocks.FINLAND_FLAG.get(), "Finland Flag");
        add(ModBlocks.FRANCE_FLAG.get(), "France Flag");
        add(ModBlocks.GERMANY_FLAG.get(), "Germany Flag");
        add(ModBlocks.GREECE_FLAG.get(), "Greece Flag");
        add(ModBlocks.HUNGARY_FLAG.get(), "Hungary Flag");
        add(ModBlocks.ICELAND_FLAG.get(), "Iceland Flag");
        add(ModBlocks.INDIA_FLAG.get(), "India Flag");
        add(ModBlocks.IRELAND_FLAG.get(), "Ireland Flag");
        add(ModBlocks.ITALY_FLAG.get(), "Italy Flag");
        add(ModBlocks.JAPAN_FLAG.get(), "Japan Flag");
        add(ModBlocks.LATVIA_FLAG.get(), "Latvia Flag");
        add(ModBlocks.NETHERLANDS_FLAG.get(), "Netherlands Flag");
        add(ModBlocks.SWEDEN_FLAG.get(), "Sweden Flag");
        add(ModBlocks.SWITZERLAND_FLAG.get(), "Switzerland Flag");
        add(ModBlocks.UNITED_KINGDOM_FLAG.get(), "United Kingdom Flag");
        add(ModBlocks.UNITED_STATES_FLAG.get(), "United States Flag");

        add(ModBlocks.AGENDER_FLAG.get(), "Agender Flag");
        add(ModBlocks.AROACE_FLAG.get(), "Aroace Flag");
        add(ModBlocks.AROMANTIC_FLAG.get(), "Aromantic Flag");
        add(ModBlocks.ASEXUAL_FLAG.get(), "Asexual Flag");
        add(ModBlocks.BISEXUAL_FLAG.get(), "Bisexual Flag");
        add(ModBlocks.DEMIROMANTIC_FLAG.get(), "Demiromantic Flag");
        add(ModBlocks.DEMISEXUAL_FLAG.get(), "Demisexual Flag");
        add(ModBlocks.GAY_MEN_FLAG.get(), "Gay Men Flag");
        add(ModBlocks.GENDERFLUID_FLAG.get(), "Genderfluid Flag");
        add(ModBlocks.GENDERQUEER_FLAG.get(), "Genderqueer Flag");
        add(ModBlocks.INTERSEX_FLAG.get(), "Intersex Flag");
        add(ModBlocks.LESBIAN_FLAG.get(), "Lesbian Flag");
        add(ModBlocks.NON_BINARY_FLAG.get(), "Non-Binary Flag");
        add(ModBlocks.OMNISEXUAL_FLAG.get(), "Omnisexual Flag");
        add(ModBlocks.PANSEXUAL_FLAG.get(), "Pansexual Flag");
        add(ModBlocks.PRIDE_FLAG.get(), "Pride Flag");
        add(ModBlocks.PROGRESS_PRIDE_FLAG.get(), "Progress Pride Flag");
        add(ModBlocks.TRANS_FLAG.get(), "Trans Flag");


        add(ModBlocks.LIME_GLOW_STAINED_GLASS.get(), "Lime Glow Stained Glass");
        add(ModBlocks.WHITE_GLOW_STAINED_GLASS.get(), "White Glow Stained Glass");
        add(ModBlocks.GRAY_GLOW_STAINED_GLASS.get(), "Gray Glow Stained Glass");
        add(ModBlocks.LIGHT_GRAY_GLOW_STAINED_GLASS.get(), "Light Gray Glow Stained Glass");
        add(ModBlocks.BLACK_GLOW_STAINED_GLASS.get(), "Black Glow Stained Glass");
        add(ModBlocks.BROWN_GLOW_STAINED_GLASS.get(), "Brown Glow Stained Glass");
        add(ModBlocks.RED_GLOW_STAINED_GLASS.get(), "Red Glow Stained Glass");
        add(ModBlocks.ORANGE_GLOW_STAINED_GLASS.get(), "Orange Glow Stained Glass");
        add(ModBlocks.YELLOW_GLOW_STAINED_GLASS.get(), "Yellow Glow Stained Glass");
        add(ModBlocks.GREEN_GLOW_STAINED_GLASS.get(), "Green Glow Stained Glass");
        add(ModBlocks.CYAN_GLOW_STAINED_GLASS.get(), "Cyan Glow Stained Glass");
        add(ModBlocks.LIGHT_BLUE_GLOW_STAINED_GLASS.get(), "Light Blue Glow Stained Glass");
        add(ModBlocks.BLUE_GLOW_STAINED_GLASS.get(), "Blue Glow Stained Glass");
        add(ModBlocks.PURPLE_GLOW_STAINED_GLASS.get(), "Purple Glow Stained Glass");
        add(ModBlocks.MAGENTA_GLOW_STAINED_GLASS.get(), "Magenta Glow Stained Glass");
        add(ModBlocks.PINK_GLOW_STAINED_GLASS.get(), "Pink Glow Stained Glass");

        add(ModBlocks.LIME_GLOW_BLOCK.get(), "Lime Glow Block");
        add(ModBlocks.WHITE_GLOW_BLOCK.get(), "White Glow Block");
        add(ModBlocks.GRAY_GLOW_BLOCK.get(), "Gray Glow Block");
        add(ModBlocks.LIGHT_GRAY_GLOW_BLOCK.get(), "Light Gray Glow Block");
        add(ModBlocks.BLACK_GLOW_BLOCK.get(), "Black Glow Block");
        add(ModBlocks.BROWN_GLOW_BLOCK.get(), "Brown Glow Block");
        add(ModBlocks.RED_GLOW_BLOCK.get(), "Red Glow Block");
        add(ModBlocks.ORANGE_GLOW_BLOCK.get(), "Orange Glow Block");
        add(ModBlocks.YELLOW_GLOW_BLOCK.get(), "Yellow Glow Block");
        add(ModBlocks.GREEN_GLOW_BLOCK.get(), "Green Glow Block");
        add(ModBlocks.CYAN_GLOW_BLOCK.get(), "Cyan Glow Block");
        add(ModBlocks.LIGHT_BLUE_GLOW_BLOCK.get(), "Light Blue Glow Block");
        add(ModBlocks.BLUE_GLOW_BLOCK.get(), "Blue Glow Block");
        add(ModBlocks.PURPLE_GLOW_BLOCK.get(), "Purple Glow Block");
        add(ModBlocks.MAGENTA_GLOW_BLOCK.get(), "Magenta Glow Block");
        add(ModBlocks.PINK_GLOW_BLOCK.get(), "Pink Glow Block");

        add(ModBlocks.LIME_GLOW_BLOCK_STAIRS.get(), "Lime Glow Block Stairs");
        add(ModBlocks.WHITE_GLOW_BLOCK_STAIRS.get(), "White Glow Block Stairs");
        add(ModBlocks.GRAY_GLOW_BLOCK_STAIRS.get(), "Gray Glow Block Stairs");
        add(ModBlocks.LIGHT_GRAY_GLOW_BLOCK_STAIRS.get(), "Light Gray Glow Block Stairs");
        add(ModBlocks.BLACK_GLOW_BLOCK_STAIRS.get(), "Black Glow Block Stairs");
        add(ModBlocks.BROWN_GLOW_BLOCK_STAIRS.get(), "Brown Glow Block Stairs");
        add(ModBlocks.RED_GLOW_BLOCK_STAIRS.get(), "Red Glow Block Stairs");
        add(ModBlocks.ORANGE_GLOW_BLOCK_STAIRS.get(), "Orange Glow Block Stairs");
        add(ModBlocks.YELLOW_GLOW_BLOCK_STAIRS.get(), "Yellow Glow Block Stairs");
        add(ModBlocks.GREEN_GLOW_BLOCK_STAIRS.get(), "Green Glow Block Stairs");
        add(ModBlocks.CYAN_GLOW_BLOCK_STAIRS.get(), "Cyan Glow Block Stairs");
        add(ModBlocks.LIGHT_BLUE_GLOW_BLOCK_STAIRS.get(), "Light Blue Glow Block Stairs");
        add(ModBlocks.BLUE_GLOW_BLOCK_STAIRS.get(), "Blue Glow Block Stairs");
        add(ModBlocks.PURPLE_GLOW_BLOCK_STAIRS.get(), "Purple Glow Block Stairs");
        add(ModBlocks.MAGENTA_GLOW_BLOCK_STAIRS.get(), "Magenta Glow Block Stairs");
        add(ModBlocks.PINK_GLOW_BLOCK_STAIRS.get(), "Pink Glow Block Stairs");

        add(ModBlocks.LIME_GLOW_BLOCK_SLAB.get(), "Lime Glow Block Slab");
        add(ModBlocks.WHITE_GLOW_BLOCK_SLAB.get(), "White Glow Block Slab");
        add(ModBlocks.GRAY_GLOW_BLOCK_SLAB.get(), "Gray Glow Block Slab");
        add(ModBlocks.LIGHT_GRAY_GLOW_BLOCK_SLAB.get(), "Light Gray Glow Block Slab");
        add(ModBlocks.BLACK_GLOW_BLOCK_SLAB.get(), "Black Glow Block Slab");
        add(ModBlocks.BROWN_GLOW_BLOCK_SLAB.get(), "Brown Glow Block Slab");
        add(ModBlocks.RED_GLOW_BLOCK_SLAB.get(), "Red Glow Block Slab");
        add(ModBlocks.ORANGE_GLOW_BLOCK_SLAB.get(), "Orange Glow Block Slab");
        add(ModBlocks.YELLOW_GLOW_BLOCK_SLAB.get(), "Yellow Glow Block Slab");
        add(ModBlocks.GREEN_GLOW_BLOCK_SLAB.get(), "Green Glow Block Slab");
        add(ModBlocks.CYAN_GLOW_BLOCK_SLAB.get(), "Cyan Glow Block Slab");
        add(ModBlocks.LIGHT_BLUE_GLOW_BLOCK_SLAB.get(), "Light Blue Glow Block Slab");
        add(ModBlocks.BLUE_GLOW_BLOCK_SLAB.get(), "Blue Glow Block Slab");
        add(ModBlocks.PURPLE_GLOW_BLOCK_SLAB.get(), "Purple Glow Block Slab");
        add(ModBlocks.MAGENTA_GLOW_BLOCK_SLAB.get(), "Magenta Glow Block Slab");
        add(ModBlocks.PINK_GLOW_BLOCK_SLAB.get(), "Pink Glow Block Slab");

        add(ModBlocks.IRON_GRATE.get(), "Iron Grate");
        add(ModBlocks.GOLD_GRATE.get(), "Gold Grate");
        add(ModBlocks.DIAMOND_GRATE.get(), "Diamond Grate");
        add(ModBlocks.NETHERITE_GRATE.get(), "Netherite Grate");
        add(ModBlocks.AMETHYST_GRATE.get(), "Amethyst Grate");
        add(ModBlocks.OBSIDIAN_GRATE.get(), "Obsidian Grate");

        add(ModBlocks.POOL_TILES.get(), "Pool Tiles");
        add(ModBlocks.POOL_TILES1.get(), "Pool Tiles");

        add(ModBlocks.POOL_TILES_SLAB.get(), "Pool Tiles Slab");
        add(ModBlocks.POOL_TILES1_SLAB.get(), "Pool Tiles1 Slab");

        add(ModBlocks.POOL_TILES_STAIRS.get(), "Pool Tiles Stairs");
        add(ModBlocks.POOL_TILES1_STAIRS.get(), "Pool Tiles1 Stairs");

        add(ModBlocks.MESH_IRON.get(), "Mesh Iron");

        add(ModBlocks.WHITE_WOOL_STAIRS.get(), "White Wool Stairs");
        add(ModBlocks.ORANGE_WOOL_STAIRS.get(), "Orange Wool Stairs");
        add(ModBlocks.MAGENTA_WOOL_STAIRS.get(), "Magenta Wool Stairs");
        add(ModBlocks.LIGHT_BLUE_WOOL_STAIRS.get(), "Light Blue Wool Stairs");
        add(ModBlocks.YELLOW_WOOL_STAIRS.get(), "Yellow Wool Stairs");
        add(ModBlocks.LIME_WOOL_STAIRS.get(), "Lime Wool Stairs");
        add(ModBlocks.PINK_WOOL_STAIRS.get(), "Pink Wool Stairs");
        add(ModBlocks.GRAY_WOOL_STAIRS.get(), "Gray Wool Stairs");
        add(ModBlocks.LIGHT_GRAY_WOOL_STAIRS.get(), "Light Gray Wool Stairs");
        add(ModBlocks.CYAN_WOOL_STAIRS.get(), "Cyan Wool Stairs");
        add(ModBlocks.PURPLE_WOOL_STAIRS.get(), "Purple Wool Stairs");
        add(ModBlocks.BLUE_WOOL_STAIRS.get(), "Blue Wool Stairs");
        add(ModBlocks.BROWN_WOOL_STAIRS.get(), "Brown Wool Stairs");
        add(ModBlocks.GREEN_WOOL_STAIRS.get(), "Green Wool Stairs");
        add(ModBlocks.RED_WOOL_STAIRS.get(), "Red Wool Stairs");
        add(ModBlocks.BLACK_WOOL_STAIRS.get(), "Black Wool Stairs");

        add(ModBlocks.WHITE_WOOL_SLAB.get(), "White Wool Slab");
        add(ModBlocks.ORANGE_WOOL_SLAB.get(), "Orange Wool Slab");
        add(ModBlocks.MAGENTA_WOOL_SLAB.get(), "Magenta Wool Slab");
        add(ModBlocks.LIGHT_BLUE_WOOL_SLAB.get(), "Light Blue Wool Slab");
        add(ModBlocks.YELLOW_WOOL_SLAB.get(), "Yellow Wool Slab");
        add(ModBlocks.LIME_WOOL_SLAB.get(), "Lime Wool Slab");
        add(ModBlocks.PINK_WOOL_SLAB.get(), "Pink Wool Slab");
        add(ModBlocks.GRAY_WOOL_SLAB.get(), "Gray Wool Slab");
        add(ModBlocks.LIGHT_GRAY_WOOL_SLAB.get(), "Light Gray Wool Slab");
        add(ModBlocks.CYAN_WOOL_SLAB.get(), "Cyan Wool Slab");
        add(ModBlocks.PURPLE_WOOL_SLAB.get(), "Purple Wool Slab");
        add(ModBlocks.BLUE_WOOL_SLAB.get(), "Blue Wool Slab");
        add(ModBlocks.BROWN_WOOL_SLAB.get(), "Brown Wool Slab");
        add(ModBlocks.GREEN_WOOL_SLAB.get(), "Green Wool Slab");
        add(ModBlocks.RED_WOOL_SLAB.get(), "Red Wool Slab");
        add(ModBlocks.BLACK_WOOL_SLAB.get(), "Black Wool Slab");

        add(ModBlocks.WHITE_BRICKS.get(), "White Bricks");
        add(ModBlocks.ORANGE_BRICKS.get(), "Orange Bricks");
        add(ModBlocks.MAGENTA_BRICKS.get(), "Magenta Bricks");
        add(ModBlocks.LIGHT_BLUE_BRICKS.get(), "Light Blue Bricks");
        add(ModBlocks.YELLOW_BRICKS.get(), "Yellow Bricks");
        add(ModBlocks.LIME_BRICKS.get(), "Lime Bricks");
        add(ModBlocks.PINK_BRICKS.get(), "Pink Bricks");
        add(ModBlocks.GRAY_BRICKS.get(), "Gray Bricks");
        add(ModBlocks.LIGHT_GRAY_BRICKS.get(), "Light Gray Bricks");
        add(ModBlocks.CYAN_BRICKS.get(), "Cyan Bricks");
        add(ModBlocks.PURPLE_BRICKS.get(), "Purple Bricks");
        add(ModBlocks.BLUE_BRICKS.get(), "Blue Bricks");
        add(ModBlocks.BROWN_BRICKS.get(), "Brown Bricks");
        add(ModBlocks.GREEN_BRICKS.get(), "Green Bricks");
        add(ModBlocks.RED_BRICKS.get(), "Red Bricks");
        add(ModBlocks.BLACK_BRICKS.get(), "Black Bricks");

        add(ModBlocks.WHITE_BRICKS_STAIRS.get(), "White Bricks Stairs");
        add(ModBlocks.ORANGE_BRICKS_STAIRS.get(), "Orange Bricks Stairs");
        add(ModBlocks.MAGENTA_BRICKS_STAIRS.get(), "Magenta Bricks Stairs");
        add(ModBlocks.LIGHT_BLUE_BRICKS_STAIRS.get(), "Light Blue Bricks Stairs");
        add(ModBlocks.YELLOW_BRICKS_STAIRS.get(), "Yellow Bricks Stairs");
        add(ModBlocks.LIME_BRICKS_STAIRS.get(), "Lime Bricks Stairs");
        add(ModBlocks.PINK_BRICKS_STAIRS.get(), "Pink Bricks Stairs");
        add(ModBlocks.GRAY_BRICKS_STAIRS.get(), "Gray Bricks Stairs");
        add(ModBlocks.LIGHT_GRAY_BRICKS_STAIRS.get(), "Light Gray Bricks Stairs");
        add(ModBlocks.CYAN_BRICKS_STAIRS.get(), "Cyan Bricks Stairs");
        add(ModBlocks.PURPLE_BRICKS_STAIRS.get(), "Purple Bricks Stairs");
        add(ModBlocks.BLUE_BRICKS_STAIRS.get(), "Blue Bricks Stairs");
        add(ModBlocks.BROWN_BRICKS_STAIRS.get(), "Brown Bricks Stairs");
        add(ModBlocks.GREEN_BRICKS_STAIRS.get(), "Green Bricks Stairs");
        add(ModBlocks.RED_BRICKS_STAIRS.get(), "Red Bricks Stairs");
        add(ModBlocks.BLACK_BRICKS_STAIRS.get(), "Black Bricks Stairs");

        add(ModBlocks.WHITE_BRICKS_SLAB.get(), "White Bricks Slab");
        add(ModBlocks.ORANGE_BRICKS_SLAB.get(), "Orange Bricks Slab");
        add(ModBlocks.MAGENTA_BRICKS_SLAB.get(), "Magenta Bricks Slab");
        add(ModBlocks.LIGHT_BLUE_BRICKS_SLAB.get(), "Light Blue Bricks Slab");
        add(ModBlocks.YELLOW_BRICKS_SLAB.get(), "Yellow Bricks Slab");
        add(ModBlocks.LIME_BRICKS_SLAB.get(), "Lime Bricks Slab");
        add(ModBlocks.PINK_BRICKS_SLAB.get(), "Pink Bricks Slab");
        add(ModBlocks.GRAY_BRICKS_SLAB.get(), "Gray Bricks Slab");
        add(ModBlocks.LIGHT_GRAY_BRICKS_SLAB.get(), "Light Gray Bricks Slab");
        add(ModBlocks.CYAN_BRICKS_SLAB.get(), "Cyan Bricks Slab");
        add(ModBlocks.PURPLE_BRICKS_SLAB.get(), "Purple Bricks Slab");
        add(ModBlocks.BLUE_BRICKS_SLAB.get(), "Blue Bricks Slab");
        add(ModBlocks.BROWN_BRICKS_SLAB.get(), "Brown Bricks Slab");
        add(ModBlocks.GREEN_BRICKS_SLAB.get(), "Green Bricks Slab");
        add(ModBlocks.RED_BRICKS_SLAB.get(), "Red Bricks Slab");
        add(ModBlocks.BLACK_BRICKS_SLAB.get(), "Black Bricks Slab");

        add(ModBlocks.AMETIST_BRICKS.get(), "Amethyst Bricks");
        add(ModBlocks.AMETIST_BRICKS_STAIRS.get(), "Amethyst Bricks Stairs");
        add(ModBlocks.AMETIST_BRICKS_SLAB.get(), "Amethyst Bricks Slab");

        add(ModBlocks.POLISHED_ANDESITE_BRICKS.get(), "Polished Andesite Bricks");
        add(ModBlocks.POLISHED_ANDESITE_BRICKS_STAIRS.get(), "Polished Andesite Bricks Stairs");
        add(ModBlocks.POLISHED_ANDESITE_BRICKS_SLAB.get(), "Polished Andesite Bricks Slab");

        add(ModBlocks.POLISHED_DIORITE_BRICKS.get(), "Polished Diorite Bricks");
        add(ModBlocks.POLISHED_DIORITE_BRICKS_STAIRS.get(), "Polished Diorite Bricks Stairs");
        add(ModBlocks.POLISHED_DIORITE_BRICKS_SLAB.get(), "Polished Diorite Bricks Slab");

        add(ModBlocks.POLISHED_GRANITE_BRICKS.get(), "Polished Granite Bricks");
        add(ModBlocks.POLISHED_GRANITE_BRICKS_STAIRS.get(), "Polished Granite Bricks Stairs");
        add(ModBlocks.POLISHED_GRANITE_BRICKS_SLAB.get(), "Polished Granite Bricks Slab");

        add(ModBlocks.PURPUR_BRICKS.get(), "Purpur Bricks");
        add(ModBlocks.PURPUR_BRICKS_STAIRS.get(), "Purpur Bricks Stairs");
        add(ModBlocks.PURPUR_BRICKS_SLAB.get(), "Purpur Bricks Slab");

        add(ModBlocks.SMOOTH_BASALT_BRICKS.get(), "Purpur Bricks");
        add(ModBlocks.SMOOTH_BASALT_BRICKS_STAIRS.get(), "Purpur Bricks Stairs");
        add(ModBlocks.SMOOTH_BASALT_BRICKS_SLAB.get(), "Purpur Bricks Slab");

        add(ModBlocks.RED_PATTERN_BLOCK.get(), "Red Pattern Block");
        add(ModBlocks.RED_PATTERN_BLOCK_STAIRS.get(), "Red Pattern Block Stairs");
        add(ModBlocks.RED_PATTERN_BLOCK_SLAB.get(), "Red Pattern Block Slab");

        add(ModBlocks.WHITE_PATTERN_BLOCK.get(), "White Pattern Block");
        add(ModBlocks.WHITE_PATTERN_BLOCK_STAIRS.get(), "White Pattern Block Stairs");
        add(ModBlocks.WHITE_PATTERN_BLOCK_SLAB.get(), "White Pattern Block Slab");

        add(ModBlocks.ORANGE_PATTERN_BLOCK.get(), "Orange Pattern Block");
        add(ModBlocks.ORANGE_PATTERN_BLOCK_STAIRS.get(), "Orange Pattern Block Stairs");
        add(ModBlocks.ORANGE_PATTERN_BLOCK_SLAB.get(), "Orange Pattern Block Slab");

        add(ModBlocks.MAGENTA_PATTERN_BLOCK.get(), "Magenta Pattern Block");
        add(ModBlocks.MAGENTA_PATTERN_BLOCK_STAIRS.get(), "Magenta Pattern Block Stairs");
        add(ModBlocks.MAGENTA_PATTERN_BLOCK_SLAB.get(), "Magenta Pattern Block Slab");

        add(ModBlocks.LIGHT_BLUE_PATTERN_BLOCK.get(), "Light Blue Pattern Block");
        add(ModBlocks.LIGHT_BLUE_PATTERN_BLOCK_STAIRS.get(), "Light Blue Pattern Block Stairs");
        add(ModBlocks.LIGHT_BLUE_PATTERN_BLOCK_SLAB.get(), "Light Blue Pattern Block Slab");

        add(ModBlocks.YELLOW_PATTERN_BLOCK.get(), "Yellow Pattern Block");
        add(ModBlocks.YELLOW_PATTERN_BLOCK_STAIRS.get(), "Yellow Pattern Block Stairs");
        add(ModBlocks.YELLOW_PATTERN_BLOCK_SLAB.get(), "Yellow Pattern Block Slab");

        add(ModBlocks.LIME_PATTERN_BLOCK.get(), "Lime Pattern Block");
        add(ModBlocks.LIME_PATTERN_BLOCK_STAIRS.get(), "Lime Pattern Block Stairs");
        add(ModBlocks.LIME_PATTERN_BLOCK_SLAB.get(), "Lime Pattern Block Slab");

        add(ModBlocks.PINK_PATTERN_BLOCK.get(), "Pink Pattern Block");
        add(ModBlocks.PINK_PATTERN_BLOCK_STAIRS.get(), "Pink Pattern Block Stairs");
        add(ModBlocks.PINK_PATTERN_BLOCK_SLAB.get(), "Pink Pattern Block Slab");

        add(ModBlocks.GRAY_PATTERN_BLOCK.get(), "Gray Pattern Block");
        add(ModBlocks.GRAY_PATTERN_BLOCK_STAIRS.get(), "Gray Pattern Block Stairs");
        add(ModBlocks.GRAY_PATTERN_BLOCK_SLAB.get(), "Gray Pattern Block Slab");

        add(ModBlocks.LIGHT_GRAY_PATTERN_BLOCK.get(), "Light Gray Pattern Block");
        add(ModBlocks.LIGHT_GRAY_PATTERN_BLOCK_STAIRS.get(), "Light Gray Pattern Block Stairs");
        add(ModBlocks.LIGHT_GRAY_PATTERN_BLOCK_SLAB.get(), "Light Gray Pattern Block Slab");

        add(ModBlocks.CYAN_PATTERN_BLOCK.get(), "Cyan Pattern Block");
        add(ModBlocks.CYAN_PATTERN_BLOCK_STAIRS.get(), "Cyan Pattern Block Stairs");
        add(ModBlocks.CYAN_PATTERN_BLOCK_SLAB.get(), "Cyan Pattern Block Slab");

        add(ModBlocks.PURPLE_PATTERN_BLOCK.get(), "Purple Pattern Block");
        add(ModBlocks.PURPLE_PATTERN_BLOCK_STAIRS.get(), "Purple Pattern Block Stairs");
        add(ModBlocks.PURPLE_PATTERN_BLOCK_SLAB.get(), "Purple Pattern Block Slab");

        add(ModBlocks.BLUE_PATTERN_BLOCK.get(), "Blue Pattern Block");
        add(ModBlocks.BLUE_PATTERN_BLOCK_STAIRS.get(), "Blue Pattern Block Stairs");
        add(ModBlocks.BLUE_PATTERN_BLOCK_SLAB.get(), "Blue Pattern Block Slab");

        add(ModBlocks.BROWN_PATTERN_BLOCK.get(), "Brown Pattern Block");
        add(ModBlocks.BROWN_PATTERN_BLOCK_STAIRS.get(), "Brown Pattern Block Stairs");
        add(ModBlocks.BROWN_PATTERN_BLOCK_SLAB.get(), "Brown Pattern Block Slab");

        add(ModBlocks.GREEN_PATTERN_BLOCK.get(), "Green Pattern Block");
        add(ModBlocks.GREEN_PATTERN_BLOCK_STAIRS.get(), "Green Pattern Block Stairs");
        add(ModBlocks.GREEN_PATTERN_BLOCK_SLAB.get(), "Green Pattern Block Slab");

        add(ModBlocks.BLACK_PATTERN_BLOCK.get(), "Black Pattern Block");
        add(ModBlocks.BLACK_PATTERN_BLOCK_STAIRS.get(), "Black Pattern Block Stairs");
        add(ModBlocks.BLACK_PATTERN_BLOCK_SLAB.get(), "Black Pattern Block Slab");

        add(ModItems.OBSIDIAN_DUST.get(), "Obsidian Dust");
        add(ModBlocks.OBSIDIAN_BRICKS.get(), "Obsidian Bricks");
        add(ModBlocks.OBSIDIAN_TILES.get(), "Obsidian Tiles");
        add(ModBlocks.POLISHED_OBSIDIAN.get(), "Polished Obsidian");
        add(ModBlocks.CRACKED_OBSIDIAN_BRICKS.get(), "Cracked Obsidian Bricks");
        add(ModBlocks.CRACKED_OBSIDIAN_TILES.get(), "Cracked Obsidian Tiles");

        add(ModBlocks.LINK_BLOCK.get(), "Link Block");
        add(ModBlocks.FAN_BLOCK.get(), "Fan Block");
        add(ModBlocks.REDSTONE_POWERED_FAN_BLOCK.get(), "Redstone Powered Fan Block");

        add(ModBlocks.IRON_SHELF.get(), "Iron Shelf");
        add(ModBlocks.DUCK.get(), "Duck");
        add(ModBlocks.BABY_TURTLE.get(), "Baby Turtle");

        add("creativetab.ornamentum.ornamentum", "Ornamentum");

        // Messages
        //add("message.ornamentum.test", "Hello World!");
    }
}